HanMacWrdKTextInternal::Token Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKTextInternal::Token Struct Reference

Internal: class to store the token properties of a HanMacWrdKText. More...

## Public Member Functions
| Token ()
| Constructor. More...
Token & | operator= (Token const &)=default
Token & | operator= (Token &&)=default
| ~Token ()
| destructor More...

## Public Attributes
int | m_type
| the type More...
long | m_id
| the identificator More...
std::string | m_extra
| extra data, mainly for debugging More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: class to store the token properties of a HanMacWrdKText.

## Constructor & Destructor Documentation

## ◆ Token()

HanMacWrdKTextInternal::Token::Token | ( |  | ) |
| inline

Constructor.

## ◆ ~Token()

HanMacWrdKTextInternal::Token::~Token | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ operator=() [1/2]

Token & HanMacWrdKTextInternal::Token::operator= | ( | Token && |  | ) |
| default

## ◆ operator=() [2/2]

Token & HanMacWrdKTextInternal::Token::operator= | ( | Token const & |  | ) |
| default

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string HanMacWrdKTextInternal::Token::m_extra

extra data, mainly for debugging

Referenced by HanMacWrdKText::readToken().

## ◆ m_id

long HanMacWrdKTextInternal::Token::m_id

the identificator

Referenced by HanMacWrdKText::readTextZone(), HanMacWrdKText::readToken(), and HanMacWrdKText::sendText().

## ◆ m_type

int HanMacWrdKTextInternal::Token::m_type

the type

Referenced by HanMacWrdKText::readToken(), and HanMacWrdKText::sendText().

The documentation for this struct was generated from the following file:

- HanMacWrdKText.cxx